Package org.eclipse.ui.navigator

# Class CommonDragAdapter

java.lang.Object
org.eclipse.swt.dnd.DragSourceAdapter
org.eclipse.ui.navigator.CommonDragAdapter

All Implemented Interfaces:
  `EventListener`, `DragSourceListener`, `SWTEventListener`

public final class CommonDragAdapter extends DragSourceAdapter
Provides an implementation of `DragSourceAdapter` which uses the extensions provided by the associated `INavigatorContentService`.

Clients should not need to create an instance of this class unless they are creating their own custom viewer. Otherwise, `CommonViewer` configures its drag adapter automatically.

Since:
  3.2
See Also:
  - `INavigatorDnDService`
  - `CommonDragAdapterAssistant`
  - `CommonDropAdapter`
  - `CommonDropAdapterAssistant`
  - `CommonViewer`

## Constructor Summary

Constructors
Constructor
Description
`CommonDragAdapter(INavigatorContentService aContentService, ISelectionProvider aProvider)`
Create a DragAdapter that drives the configuration of the drag data.

## Method Summary

Modifier and Type
Method
Description
`void`
`dragFinished(DragSourceEvent event)`
This implementation of `dragFinished` does nothing.
`void`
`dragSetData(DragSourceEvent event)`
This implementation of `dragSetData` does nothing.
`void`
`dragStart(DragSourceEvent event)`
This implementation of `dragStart` permits the drag operation to start.
`Transfer[]`
`getSupportedDragTransfers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommonDragAdapter

public CommonDragAdapter(INavigatorContentService aContentService, ISelectionProvider aProvider)
Create a DragAdapter that drives the configuration of the drag data.

Parameters:
  `aContentService` - The content service this Drag Adapter is associated with
  `aProvider` - The provider that can give the current selection from the appropriate viewer.

## Method Details

### getSupportedDragTransfers

public Transfer[] getSupportedDragTransfers()

Returns:
  An array of supported Drag Transfer types. The list contains [ `LocalSelectionTransfer.getTransfer()`, `PluginTransfer.getInstance()`] in addition to any supported types contributed by the `assistants`.
See Also:
  - `CommonDragAdapterAssistant`
  - `LocalSelectionTransfer`
  - `PluginTransfer`

### dragStart

public void dragStart(DragSourceEvent event)
Description copied from class: `DragSourceAdapter`
This implementation of `dragStart` permits the drag operation to start. For additional information see `DragSourceListener.dragStart`.

Specified by:
  `dragStart` in interface `DragSourceListener`
Overrides:
  `dragStart` in class `DragSourceAdapter`
Parameters:
  `event` - the information associated with the drag start event
See Also:
  - `DragSourceEvent`

### dragSetData

public void dragSetData(DragSourceEvent event)
Description copied from class: `DragSourceAdapter`
This implementation of `dragSetData` does nothing. For additional information see `DragSourceListener.dragSetData`.

Specified by:
  `dragSetData` in interface `DragSourceListener`
Overrides:
  `dragSetData` in class `DragSourceAdapter`
Parameters:
  `event` - the information associated with the drag set data event
See Also:
  - `DragSourceEvent`

### dragFinished

public void dragFinished(DragSourceEvent event)
Description copied from class: `DragSourceAdapter`
This implementation of `dragFinished` does nothing. For additional information see `DragSourceListener.dragFinished`.

Specified by:
  `dragFinished` in interface `DragSourceListener`
Overrides:
  `dragFinished` in class `DragSourceAdapter`
Parameters:
  `event` - the information associated with the drag finished event
See Also:
  - `DragSourceEvent`